Get all datasets in the specified workspace
get
/apex/workspaces/{workspace_name}/datasets/
Returns information about the datasets available in the specified workspace. A client requires SQL Administrator role to invoke this service.
Request
Path Parameters
-
workspace_name(required): string
Display name of the workspace.
Query Parameters
-
limit: integer(int32)
The maximum number of records to return.
-
q:
Filtering is the process of limiting a collection resource by using a per-request dynamic filter definition across multiple page resources, where each page contains a subset of items found in the complete collection. Filtering enables efficient traversal of large collections.Examples
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
All datasets in the workspace.
Root Schema : APEXDatasets
Type:
objectThis object represents data from APEX_DR_DATASETS view.
Show Source
-
count: integer
Total number of records in the current response.
-
hasMore: boolean
Indicates if there are more records to be retrieved.
-
items: array
items
-
limit: integer
The actual page size limit on number of records applied by the server.
-
links: array
links
-
offset: integer
The actual index from which the item resources are returned.
Nested Schema : items
Type:
Show Source
array-
Array of:
object DatasetItem
This object represents a single row on APEX_DR_DATASETS
Nested Schema : DatasetItem
Type:
objectThis object represents a single row on APEX_DR_DATASETS
Show Source
-
dataset_description: string
A description about this Dataset.
-
dataset_id: integer
Dataset Primary Key.
-
dataset_name: string
The name of this Dataset.
-
last_updated_by: string
Last updated by.
-
last_updated_on: string
The date and time of the last update.
-
links: array
links
-
static_id: string
The static ID of the dataset
-
workspace: string
The internal name of the workspace.
-
workspace_display_name: string
The displayed name of the workspace.
-
workspace_id: string
The unique ID of the workspace.
Examples